using System;
using UnityEngine;

public class CornMissEffect : MonoBehaviour
{
    [SerializeField] private GameObject burntSprite;
    [SerializeField] private GameObject spilledSprite;

    public void ChangeSkin(CornCondition condition)
    {
        switch (condition)
        {
            case CornCondition.Seed:
                break;
            case CornCondition.Simple:
                break;
            case CornCondition.Burnt:
                burntSprite.SetActive(true);
                spilledSprite.SetActive(false);
                break;
            default:
                throw new ArgumentOutOfRangeException(nameof(condition), condition, null);
        }
    }
}